Loading...
Searching...
No Matches
mbedtls_pkcs7_signed_data Struct Reference

`#include <pkcs7.h>`

Collaboration diagram for mbedtls_pkcs7_signed_data:
[legend]

## Data Fields

int | private_version
mbedtls_pkcs7_buf | private_digest_alg_identifiers
int | private_no_of_certs
mbedtls_x509_crt | private_certs
int | private_no_of_crls
mbedtls_x509_crl | private_crl
int | private_no_of_signers
mbedtls_pkcs7_signer_info | private_signers

## Detailed Description

Structure holding the signed data section

Definition at line 123 of file pkcs7.h.

## Field Documentation

## private_certs

mbedtls_x509_crt mbedtls_pkcs7_signed_data::private_certs

Definition at line 127 of file pkcs7.h.

## private_crl

mbedtls_x509_crl mbedtls_pkcs7_signed_data::private_crl

Definition at line 129 of file pkcs7.h.

## private_digest_alg_identifiers

mbedtls_pkcs7_buf mbedtls_pkcs7_signed_data::private_digest_alg_identifiers

Definition at line 125 of file pkcs7.h.

## private_no_of_certs

int mbedtls_pkcs7_signed_data::private_no_of_certs

Definition at line 126 of file pkcs7.h.

## private_no_of_crls

int mbedtls_pkcs7_signed_data::private_no_of_crls

Definition at line 128 of file pkcs7.h.

## private_no_of_signers

int mbedtls_pkcs7_signed_data::private_no_of_signers

Definition at line 130 of file pkcs7.h.

## private_signers

mbedtls_pkcs7_signer_info mbedtls_pkcs7_signed_data::private_signers

Definition at line 131 of file pkcs7.h.

## private_version

int mbedtls_pkcs7_signed_data::private_version

Definition at line 124 of file pkcs7.h.

The documentation for this struct was generated from the following file:

- pkcs7.h